Message: MPI interface wont compile in Geant4 9.5.p01 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question MPI interface wont compile in Geant4 9.5.p01  

Forum: Installation and Configuration
Date: 02 Aug, 2012
From: Ali Ebrahimi <Ali Ebrahimi>

Hi,

Is there any solution to compile mpi_interface for geant4? Is there a cmake file for it? I tried to get it to work by fixing G4INSTALL path in the makefile but then I got other errors. I found out the it needs environment variable G4SYSTEM to be set, so i set it manually since geant4.sh doesn't set this. Then I got more errors and it seems it can't find any of the G$ headers:

Making dependency for file src/G4MPImanager.cc ...
In file included from src/G4MPImanager.cc:34:
include/G4MPImanager.hh:37:17: error: mpi.h: No such file or directory
include/G4MPImanager.hh:38:22: error: globals.hh: No such file or directory
In file included from src/G4MPImanager.cc:35:
include/G4MPImessenger.hh:37:28: error: G4UImessenger.hh: No such file or directory
In file included from include/G4MPIsession.hh:37,
                 from src/G4MPImanager.cc:36:
include/G4VMPIsession.hh:37:28: error: G4VBasicShell.hh: No such file or 
.
.
.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Feedback: Re: MPI interface wont compile in Geant4 9.5.p01   (Ben Morgan - 06 Aug, 2012)
(_ None: Re: MPI interface wont compile in Geant4 9.5.p01   (Ali Ebrahimi - 08 Aug, 2012)
(_ Note: Re: MPI interface wont compile in Geant4 9.5.p01   (Ben Morgan - 08 Aug, 2012)
 Add Message Add Message
to: "MPI interface wont compile in Geant4 9.5.p01 "

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]